Bug 980075 - Application Error when adding new email in Gerrit
Application Error when adding new email in Gerrit
Status: CLOSED UPSTREAM
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.13
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 07:11 EDT by Alexander Todorov
Modified: 2013-07-12 02:22 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-01 20:01:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2013-07-01 07:11:43 EDT
Description of problem:

Go to:
http://gerrit.beaker-project.org/#/settings/contact

try to register new email address:

Application Error
Server Error
Cannot format velocity template com/google/gerrit/server/mail/RegisterNewEmail.vm


It didn't work, so I edited my .git/config and changed the email used for commits in order to by-pass the security checks. That bites back at me because although it shows my @gmail address on the web interface it thinks my @redhat.com address is currently configured (the one that gave the server error). 

I have not received any email confirmation or anything like that. 

Please fix it. This is way too much overhead for submitting a single patch.
Comment 2 Nick Coghlan 2013-07-01 20:01:19 EDT
This appears to be a recurrence of a previously fixed upstream Gerrit bug: https://code.google.com/p/gerrit/issues/detail?id=1884

However, Gerrit 2.6 was released recently, so we can look into upgrading the Gerrit instance on beaker-project.org to see if that fixes the problem.
Comment 3 Dan Callaghan 2013-07-09 19:20:05 EDT
(In reply to Alexander Todorov from comment #0)
> Application Error
> Server Error
> Cannot format velocity template
> com/google/gerrit/server/mail/RegisterNewEmail.vm

This was caused by wrong permissions on /etc/gerrit/beaker/secure.config. The file was overwritten during the 2.5 upgrade a while back. I've fixed it now.

One day in the magical future Gerrit will be packaged properly and we shouldn't have these problems anymore...

> Please fix it. This is way too much overhead for submitting a single patch.

I agree Alexander, and I'm sorry you had trouble using Gerrit. In future please feel free to send us patches by whatever means suits you best, including Bugzilla attachments, git send-email, written on the back of a napkin... :-)

Note You need to log in before you can comment on or make changes to this bug.